.product-detail__form {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.product-detail__form .form__error-message {
  display: flex;
  gap: 4px;
  align-items: center;
  color: rgb(var(--color-tag-background));
  margin-block: unset;
}

.product-detail__form .form__error-message::after {
  content: attr(data-message);
}

.product-detail__form .form__buttons {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.product-detail__form .form__buttons .button[name="add"] {
  width: 100%;
  font-size: 21px;
  line-height: 1;
  font-style: normal;
  text-decoration: none;
  text-transform: uppercase;
  padding: 11px;
}
/* 当前实现逻辑要隐藏buy now按钮 */
.shopline-payment-button-wrapper .pay-button-buy-now{
  display: none !important;
}

.form__buttons-add2cart {
  display: flex;
  align-items: center;
  gap: 15px;
}

.product-detail__buy-buttons[data-available="false"] detail-quantity-add-subtract {
  display: none;
}

@media (max-width: 959px) {
  .product-detail__form .form__buttons .button[name="add"] {
    padding-block: 10px;

  }
  .product-detail__form .form__buttons .button[name="add"] .button-text {
    font-size: 19px;
    line-height: 20px;
  }
  .product-detail__form .zg-qty-input {
    height: 40px;
  }
}
